# Uses of Interface
org.opensaml.storage.ReplayCache

Packages that use ReplayCache
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.storage.impl
Storage-related implementation classes.

## Uses of ReplayCache in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl declared as ReplayCache
Modifier and Type
Field
Description
`private ReplayCache`
MessageReplaySecurityHandler.`replayCache`
Message replay cache instance to use.
Methods in org.opensaml.saml.common.binding.security.impl that return ReplayCache
Modifier and Type
Method
Description
`ReplayCache`
MessageReplaySecurityHandler.`getReplayCache()`
Get the replay cache instance to use.
Methods in org.opensaml.saml.common.binding.security.impl with parameters of type ReplayCache
Modifier and Type
Method
Description
`void`
MessageReplaySecurityHandler.`setReplayCache(ReplayCache cache)`
Set the replay cache instance to use.

## Uses of ReplayCache in org.opensaml.saml.saml2.assertion.impl

Fields in org.opensaml.saml.saml2.assertion.impl declared as ReplayCache
Modifier and Type
Field
Description
`private final ReplayCache`
OneTimeUseConditionValidator.`replayCache`
Replay cache used to track which assertions have been used.
Constructors in org.opensaml.saml.saml2.assertion.impl with parameters of type ReplayCache
Modifier
Constructor
Description
``
`OneTimeUseConditionValidator(ReplayCache replay, Duration expires)`
Constructor.

## Uses of ReplayCache in org.opensaml.storage.impl

Classes in org.opensaml.storage.impl that implement ReplayCache
Modifier and Type
Class
Description
`class`
`StorageServiceReplayCache`
`ReplayCache` implementation backed by a `StorageService`.